Texture2D cdTexture;
SamplerState cdSampler;

struct VS_OUTPUT
{
    float4 Pos : SV_POSITION;
    float2 Uv : UV;
};

cbuffer CamBuffer : register( b0 )
{
	matrix camWorld;
	matrix camView;
	matrix camProjection;
}

float4 pixelShaderMain(VS_OUTPUT input) : SV_Target
{
	return cdTexture.Sample(cdSampler, input.Uv);
}

VS_OUTPUT vertexShaderMain( float4 Position : POSITION, float2 Uv : UV )
{
	VS_OUTPUT output = (VS_OUTPUT)0;
	output.Pos = mul( Position, camWorld );
	output.Pos = mul( output.Pos, camView );
	output.Pos = mul( output.Pos, camProjection );
	output.Uv = Uv;
	return output;
}